	private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "AAFgear.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

if (_unit isKindof "Man") then
{
	removeGoggles _unit;
	removeAllWeapons _unit;
	removeBackpack _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	//_unit addweapon "ACE_NVG_Gen4";
	_unit additem "ACE_EarPlugs";
	_unit linkItem "Binocular";
	_unit additem "MNP_Beret_VDV";
	_unit linkItem "tf_microdagr";

};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "east", true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",2]];

			{
				_item = _x select 0;
				_count = _x select  1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV_500",4],["ACE_epinephrine",5]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};

_fnc_TUNchangeWeapons = {

	//Params [unit, mode] call _fnc_TUNchangeWeapons;
	_unit = _this select 0;
	_ase = _this select 1;
	_sinko = _this select 2;

	_aim = ["rhs_acc_1p78","rhs_acc_1p63","rhs_acc_pkas","rhs_acc_1p78","rhs_acc_ekp1","",""] call BIS_fnc_selectRandom;
	_sd = ["rhs_acc_dtk4short","rhs_acc_tgpa"] call BIS_fnc_selectRandom;

	Switch (_ase) do {

		case "gl":
		{
			_items = ["rhs_weap_ak74m_gp25"];
			_magazines = [["rhs_30Rnd_545x39_7N10_AK",6],["rhs_VOG25P",5],["rhs_VOG25",5],["rhs_GRD40_White",10],["rhs_VG40TB",2]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addPrimaryWeaponItem _aim;
			_unit addPrimaryWeaponItem _sd;
		};

		case "swd":
		{

			_items = ["rhs_asval_pso1"];
			_magazines = [["rhs_20rnd_9x39mm_SP6",15]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addPrimaryWeaponItem "rhs_acc_pso1m21";
		};

		default {
			_weapon = ["rhs_weap_ak74m","rhs_weap_ak74m_2mag","rhs_weap_ak74m_2mag_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_plummag","rhs_weap_ak74m_2mag_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_2mag_camo"] call BIS_fnc_selectRandom;
			_items = [_weapon];
			_magazines = [["rhs_30Rnd_545x39_7N10_AK",6],["rhs_100Rnd_762x54mmR",1]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addPrimaryWeaponItem _sd;
			_unit addPrimaryWeaponItem _aim;
		};
	};

	Switch (_sinko) do {

		case "kes":
		{
			_items = ["rhs_weap_rpg26"];
			[_unit, _items] Call _fnc_BUMaddweapons;

		};

		case "rpg":
		{
			[_unit, "rhs_rpg_empty"] call _fnc_BUMCheckAddBackpack;
			_items = ["rhs_weap_rpg7_pgo"];
			_magazines = [["rhs_rpg7_PG7VL_mag",2],["rhs_rpg7_OG7V_mag",1]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addSecondaryWeaponItem "rhs_acc_pgo7v";
		};
		case "as":
		{
			[_unit, "rhs_rpg_empty"] call _fnc_BUMCheckAddBackpack;
			_magazines = [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_TBG7V_mag",1]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
		};
		default {};
	};
};




switch (_type) do
{
	Case "PL":
	{
		[_unit, "",""] call _fnc_TUNchangeWeapons;
		[_unit, "tf_mr3000_rhs"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector"];
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
	};

	Case "SL":
	{
		[_unit, "tf_mr3000_rhs"] call _fnc_BUMCheckAddBackpack;
		[_unit, "","kes"] call _fnc_TUNchangeWeapons;
		_items = ["ACE_Vector"];
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
	};

	Case "TL":
	{
		[_unit, "rhs_assault_umbts"] call _fnc_BUMCheckAddBackpack;
		[_unit, "","kes"] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "RIF":
	{
		[_unit, "rhs_assault_umbts"] call _fnc_BUMCheckAddBackpack;
		[_unit, "",""] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "RIFAT":
	{
		[_unit, "rhs_assault_umbts"] call _fnc_BUMCheckAddBackpack;
		[_unit, "","kes"] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "RPG":
	{
		[_unit, "","rpg"] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "RPGAS":
	{
		[_unit, "","as"] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "CREW":
	{
		_items = ["rhs_weap_ak74m_folded"];
		_magazines = [["rhs_30Rnd_545x39_AK",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "ENG":
	{
		[_unit, "B_Kitbag_sgg"] call _fnc_BUMCheckAddBackpack;
		[_unit, "",""] call _fnc_TUNchangeWeapons;
		_magazines = [["DemoCharge_Remote_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		_unit addItem "ACE_wirecutter";
	};

		Case "GRE":
	{
		[_unit, "rhs_assault_umbts"] call _fnc_BUMCheckAddBackpack;
		[_unit, "gl",""] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "PKP":
	{
		[_unit, "rhs_assault_umbts"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_pkp"];
		_magazines = [["rhs_100Rnd_762x54mmR",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhs_acc_1p29";
	};

		Case "MED":
	{
		[_unit, "rhs_assault_umbts"] call _fnc_BUMCheckAddBackpack;
		[_unit, "",""] call _fnc_TUNchangeWeapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;


	};

		Case "MARK":
	{
		[_unit, "B_FieldPack_oli"] call _fnc_BUMCheckAddBackpack;
		[_unit, "swd",""] call _fnc_TUNchangeWeapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addGoggles "rhs_balaclava";
	};

		Case "Pilot":
	{
		_items = ["rhs_weap_ak74m_folded"];
		_magazines = [["rhs_30Rnd_545x39_AK",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
	};

		Case "CrewC"://kopteri
	{
		[_unit, "tf_mr3000_rhs"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_ak74m_folded"];
		_magazines = [["rhs_30Rnd_545x39_AK",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
	};

	/////////
	//Autot//
	/////////


		Case "Auto": //perus
	{
		_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR", 3];
		_unit addMagazineCargoGlobal ["rhs_10Rnd_762x54mmR_7N1", 5];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 5];
		_unit addMagazineCargoGlobal ["rhs_mag_rdg2_white",10];
		_unit addMagazineCargoGlobal ["rhs_mag_rgd5",5];
		_unit addMagazineCargoGlobal ["rhs_VOG25",5];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_white",5];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_green",5];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_red",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_White",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Green",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Red",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];;
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",2];
		_unit addItemCargoGlobal ["ACE_fieldDressing",10];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
	};

	Case "Rekka": //perus
	{
		_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR", 5];
		_unit addMagazineCargoGlobal ["rhs_10Rnd_762x54mmR_7N1", 5];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_rdg2_white",10];
		_unit addMagazineCargoGlobal ["rhs_mag_rgd5",6];
		_unit addMagazineCargoGlobal ["rhs_VOG25",5];
		_unit addMagazineCargoGlobal ["rhs_VOG25P",5];
		_unit addMagazineCargoGlobal ["rhs_VG40TB",3];
		_unit addMagazineCargoGlobal ["rhs_VG40SZ",3];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_white",10];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_green",5];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_red",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_White",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Green",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Red",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_morphine",5];
		_unit addItemCargoGlobal ["ACE_epinephrine",5];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",110];
		_unit addMagazineCargoGlobal ["rhs_rpg7_PG7VL_mag",3];
		_unit addMagazineCargoGlobal ["rhs_rpg7_OG7V_mag",3];
		_unit addMagazineCargoGlobal ["rhs_rpg7_TBG7V_mag",3];


	};

		Case "Vaunu": //perus
	{

		_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR", 5];
		_unit addMagazineCargoGlobal ["rhs_10Rnd_762x54mmR_7N1", 5];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_rdg2_white",10];
		_unit addMagazineCargoGlobal ["rhs_mag_rgd5",6];
		_unit addMagazineCargoGlobal ["rhs_VOG25",5];
		_unit addMagazineCargoGlobal ["rhs_VOG25P",5];
		_unit addMagazineCargoGlobal ["rhs_VG40TB",3];
		_unit addMagazineCargoGlobal ["rhs_VG40SZ",3];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_white",10];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_green",5];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_red",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_White",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Green",5];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Red",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_morphine",5];
		_unit addItemCargoGlobal ["ACE_epinephrine",5];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];


	};

		Case "laatikko1":
	{

		clearWeaponCargoglobal _unit;
		clearItemCargoGlobal _unit;
		clearMagazineCargoglobal _unit;
		clearBackpackCargoglobal _unit;
		_unit addWeaponCargoGlobal ["rhs_weap_rpg7_pgo", 2];
		_unit addWeaponCargoGlobal ["rhs_weap_rpg26", 5];
		_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR", 20];
		_unit addMagazineCargoGlobal ["rhs_10Rnd_762x54mmR_7N1", 20];
		_unit addWeaponCargoGlobal ["rhs_weap_rpg26", 5];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 50];
		_unit addMagazineCargoGlobal ["rhs_mag_rdg2_white",20];
		_unit addMagazineCargoGlobal ["rhs_mag_rgd5",20];
		_unit addMagazineCargoGlobal ["rhs_VOG25",20];
		_unit addMagazineCargoGlobal ["rhs_VOG25P",20];
		_unit addMagazineCargoGlobal ["rhs_VG40TB",20];
		_unit addMagazineCargoGlobal ["rhs_VG40SZ",20];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_white",20];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_green",20];
		_unit addMagazineCargoGlobal ["rhs_VG40OP_red",20];
		_unit addMagazineCargoGlobal ["rhs_GRD40_White",20];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Green",20];
		_unit addMagazineCargoGlobal ["rhs_GRD40_Red",20];
		_unit addBackpackCargoGlobal ["rhs_sidor",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",400];
		_unit addMagazineCargoGlobal ["rhs_rpg7_PG7VL_mag",10];
		_unit addMagazineCargoGlobal ["rhs_rpg7_OG7V_mag",10];
		_unit addMagazineCargoGlobal ["rhs_rpg7_TBG7V_mag",10];
		_unit addItemCargoGlobal ["rhs_mine_pmn2_mag",30];
		_unit addItemCargoGlobal ["APERSTripMine_Wire_Mag",30];
		_unit addBackpackCargoGlobal ["rhs_sidor",5];
		_unit addItemCargoGlobal ["rhs_mine_tm62m_mag",20];
		_unit addItemCargoGlobal ["DemoCharge_Remote_Mag",20];
		_unit addItemCargoGlobal ["ACE_DefusalKit",10];
		_unit addItemCargoGlobal ["ACE_Clacker",10];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",600];

	};


};


if (_unit isKindof "Man") then
{
	_items = ["hgun_Rook40_F"];
	_magazines = [["rhs_mag_rgd5",3],["rhs_mag_rdg2_white",5],["Chemlight_Red",2],["16Rnd_9x21_Mag",4]];
	[_unit, _magazines] Call _fnc_BUMaddmagazines;
	[_unit, _items] Call _fnc_BUMaddweapons;
	_unit addHandgunItem "muzzle_snds_L";
	_unit addItem "ACE_NVG_Gen4";
};
